Index: include/asterisk/doxyref.h
===================================================================
--- include/asterisk/doxyref.h	(revision 371534)
+++ include/asterisk/doxyref.h	(working copy)
@@ -79,7 +79,6 @@
  * \section Coding Guidelines
  * This file is in the /doc directory in your Asterisk source tree.
  * Make sure to stay up to date with the latest guidelines.
- * \verbinclude CODING-GUIDELINES
  */
 
 /*! 
@@ -93,7 +92,6 @@
  * \arg \ref AstDataRetrieval
  *
  * \subsection model_txt Generic Model
- * \verbinclude model.txt
  * \subsection channel_txt Channels
  * \arg See \ref Def_Channel
  */
@@ -135,19 +133,16 @@
 /*! 
  * \page AstDebug Debugging
  * \section debug Debugging
- * \verbinclude backtrace.txt
  */
 
 /*!
  * \page AstSpeech The Generic Speech Recognition API
  * \section debug The Generic Speech Recognition API
- * \verbinclude speechrec.txt
  */
 
 /*! 
  * \page DataStores Channel Data Stores
  * \section debug Channel Data Stores
- * \verbinclude datastores.txt
  */
 
 /*! 
@@ -155,7 +150,6 @@
  * \section ami AMI - The manager Interface
  * \arg \link Config_ami Configuration file \endlink
  * \arg \ref manager.c
- * \verbinclude manager.txt
  */
 
 /*!
@@ -163,8 +157,6 @@
  * \section realtime ARA - a generic API to storage and retrieval
  * Implemented in \ref config.c 
  * Implemented in \ref pbx_realtime.c 
- * \verbinclude realtime.txt
- * \verbinclude extconfig.txt
  */
 
 /*! 
@@ -193,7 +185,6 @@
  * \arg \ref cdr_drivers
  * \arg \ref Config_cdr CDR configuration files
  *
- * \verbinclude cdrdriver.txt
  */
 
 /*! 
@@ -209,7 +200,6 @@
 /*! 
  * \page AstVideo Video support in Asterisk
  * \section sectAstVideo Video support in Asterisk
- * \verbinclude video.txt
  */
 
 /*! 
@@ -224,7 +214,6 @@
  * - \ref pbx_retrieve_variable()
  * - \ref AstChanVar
  *
- *  \verbinclude channelvariables.tex
  */
 
 /*! 
@@ -281,7 +270,6 @@
  * \arg \ref enum.c
  * \arg \ref func_enum.c
  *
- * \verbinclude enum.txt
  */
 
 /*! 
@@ -334,7 +322,6 @@
 
 /*! 
  * \page Config_ast Asterisk.conf
- * \verbinclude asterisk-conf.txt
  */
 
 /*! 
@@ -373,11 +360,9 @@
  * IAX2 is implemented in \ref chan_iax2.c
  * \arg \link Config_iax iax.conf Configuration file example \endlink
  * \section iaxreadme IAX readme file
- * \verbinclude iax.txt
  * \section Config_iax IAX Configuration example
  * \verbinclude iax.conf.sample
  * \section iaxjitter IAX Jitterbuffer information
- * \verbinclude jitterbuffer.txt
  */
 
 /*! 
@@ -409,7 +394,6 @@
  * \page README_misdn MISDN documentation
  * \arg See \ref Config_misdn
  * \section mISDN configuration
- * \verbinclude misdn.txt
  */
 
 /*! 
@@ -494,7 +478,7 @@
  * \par See also
  * \arg \ref cdrconf
  * \arg Implemented in \ref cdr_csv.c
- * \verbinclude cdr_csv.conf.sample
+ * \verbinclude cdr.conf.sample
  */
 
 /*! 
@@ -541,13 +525,6 @@
  * \verbinclude cdr_pgsql.conf.sample
  */
 
-/*!
- * \page cdr_radius RADIUS CDR driver configuration
- * \arg See also \ref cdrconf
- * \arg Implemented in \ref cdr_radius.c
- * \verbinclude cdr_radius.conf.sample
- */
-
 /*! 
  * \page cdr_sqlite SQLite 2 CDR driver configuration
  * \arg See also \ref cdrconf
@@ -726,9 +703,8 @@
  * \page res_config_sqlite SQLite Resource driver configuration
  * \arg Implemented in \ref res_config_sqlite.c
  * \arg Configuration file:
- * \verbinclude res_config_sqlite.conf
+ * \verbinclude res_config_sqlite.conf.sample
  * \arg SQL tables:
- * \verbinclude res_config_sqlite.txt
  * \arg See also:
  * http://www.sqlite.org
  */
Index: include/asterisk/netsock2.h
===================================================================
--- include/asterisk/netsock2.h	(revision 371534)
+++ include/asterisk/netsock2.h	(working copy)
@@ -73,7 +73,7 @@
  * if you know what you're doing.
  *
  * \param addr The IPv4-mapped address to convert
- * \param mapped_addr The resulting IPv4 address
+ * \param ast_mapped The resulting IPv4 address
  * \retval 0 Unable to make the conversion
  * \retval 1 Successful conversion
  */
@@ -310,10 +310,10 @@
  * \brief
  * Splits a string into its host and port components
  *
- * \param str[in]   The string to parse. May be modified by writing a NUL at the end of
+ * \param[in] str The string to parse. May be modified by writing a NUL at the end of
  *                  the host part.
- * \param host[out] Pointer to the host component within \a str.
- * \param port[out] Pointer to the port component within \a str.
+ * \param[out] host Pointer to the host component within \a str.
+ * \param[out] port Pointer to the port component within \a str.
  * \param flags     If set to zero, a port MAY be present. If set to PARSE_PORT_IGNORE, a
  *                  port MAY be present but will be ignored. If set to PARSE_PORT_REQUIRE,
  *                  a port MUST be present. If set to PARSE_PORT_FORBID, a port MUST NOT
@@ -467,7 +467,7 @@
  * \brief
  * Determine if an IPv4 address is a multicast address
  *
- * \parm addr the address to check
+ * \param addr the address to check
  *
  * This function checks if an address is in the 224.0.0.0/4 network block.
  *
@@ -647,9 +647,9 @@
 /*!
  * \since 1.8
  *
- * \brief
- * Converts a struct sockaddr_in to a struct ast_sockaddr.
+ * \brief Converts a struct sockaddr_in to a struct ast_sockaddr.
  *
+ * \param addr
  * \param sin The sockaddr_in to convert
  * \return an ast_sockaddr structure
  */
Index: include/asterisk/format.h
===================================================================
--- include/asterisk/format.h	(revision 371534)
+++ include/asterisk/format.h	(working copy)
@@ -264,9 +264,9 @@
  * with optional format attributes represented by format specific key value pairs.
  *
  * \param format to set
- * \param id, format id to set on format
+ * \param id format id to set on format
  * \param set_attributes, are there attributes to set on this format. 0 == false, 1 == True.
- * \param var list of attribute key value pairs, must end with AST_FORMAT_ATTR_END;
+ * \param ... var list of attribute key value pairs, must end with AST_FORMAT_ATTR_END;
  *
  * \details Example usage.
  * ast_format_set(format, AST_FORMAT_ULAW, 0); // no capability attributes are needed for ULAW
@@ -290,7 +290,7 @@
  * set additional format attributes to the structure.
  *
  * \param format to set
- * \param var list of attribute key value pairs, must end with AST_FORMAT_ATTR_END;
+ * \param ... var list of attribute key value pairs, must end with AST_FORMAT_ATTR_END;
  *
  * \details Example usage.
  * ast_format_set(format, AST_FORMAT_SILK, 0);
@@ -421,7 +421,7 @@
 /*! \brief Returns a string containing all formats pertaining to an format id.
  * \param buf a buffer for the output string
  * \param size size of buf (bytes)
- * \param format id.
+ * \param id format id.
  * \return The return value is buf.
  */
 char* ast_getformatname_multiple_byid(char *buf, size_t size, enum ast_format_id id);
Index: include/asterisk/rtp_engine.h
===================================================================
--- include/asterisk/rtp_engine.h	(revision 371534)
+++ include/asterisk/rtp_engine.h	(working copy)
@@ -1164,7 +1164,7 @@
  * \brief Get the sample rate associated with known RTP payload types
  *
  * \param asterisk_format True if the value in format is to be used.
- * \param An asterisk format
+ * \param format An asterisk format
  * \param code from AST_RTP list
  *
  * \return the sample rate if the format was found, zero if it was not found
@@ -1815,7 +1815,7 @@
  * \brief Set the RTP keepalive interval
  *
  * \param instance The RTP instance
- * \param period Value to set the keepalive interval to
+ * \param timeout Value to set the keepalive interval to
  *
  * Example usage:
  *
Index: include/asterisk/utils.h
===================================================================
--- include/asterisk/utils.h	(revision 371534)
+++ include/asterisk/utils.h	(working copy)
@@ -858,7 +858,6 @@
 
 /*!
  * \brief Get current thread ID
- * \param None
  * \return the ID if platform is supported, else -1
  */
 int ast_get_tid(void);
Index: include/asterisk/config.h
===================================================================
--- include/asterisk/config.h	(revision 371534)
+++ include/asterisk/config.h	(working copy)
@@ -193,7 +193,7 @@
  * \brief Sorts categories in a config in the order of a numerical value contained within them.
  *
  * \param config The config structure you wish to sort
- * \param variable Which numerical value you wish to sort by
+ * \param comparator variable Which numerical value you wish to sort by
  * \param descending If true, we sort highest to lowest instead of lowest to highest
  *
  * \details
@@ -741,9 +741,9 @@
  *
  * \param arg the string to parse. It is not modified.
  * \param flags combination of ast_parse_flags to specify the
- * return type and additional checks.
+ * 	return type and additional checks.
  * \param result pointer to the result. NULL is valid here, and can
- * be used to perform only the validity checks.
+ * 	be used to perform only the validity checks.
  * \param ... extra arguments are required according to flags.
  *
  * \retval 0 in case of success, != 0 otherwise.
@@ -841,7 +841,7 @@
  * \param chunk Data to be decoded
  * \return The decoded data, in the original buffer
  * \since 1.8
- * \warn This function modifies the original buffer
+ * \warning This function modifies the original buffer
  */
 char *ast_realtime_decode_chunk(char *chunk);
 
Index: include/asterisk/channel.h
===================================================================
--- include/asterisk/channel.h	(revision 371534)
+++ include/asterisk/channel.h	(working copy)
@@ -1280,7 +1280,7 @@
  *        by the low level module and attempt to place a call on it
  *
  * \param type type of channel to request
- * \param format capabilities for requested channel
+ * \param cap format capabilities for requested channel
  * \param requestor channel asking for data
  * \param addr destination of the call
  * \param timeout maximum amount of time to wait for an answer
@@ -1298,7 +1298,7 @@
  * \brief Request a channel of a given type, with data as optional information used
  * by the low level module and attempt to place a call on it
  * \param type type of channel to request
- * \param format capabilities for requested channel
+ * \param cap format capabilities for requested channel
  * \param requestor channel requesting data
  * \param addr destination of the call
  * \param timeout maximum amount of time to wait for an answer
@@ -1317,7 +1317,7 @@
  * \param caller in channel that requested orig
  * \param orig channel being replaced by the call forward channel
  * \param timeout maximum amount of time to wait for setup of new forward channel
- * \param format capabilities for requested channel
+ * \param cap format capabilities for requested channel
  * \param oh outgoing helper used with original channel
  * \param outstate reason why unsuccessful (if uncuccessful)
  * \return Returns the forwarded call's ast_channel on success or NULL on failure
@@ -1794,7 +1794,7 @@
 /*!
  * \brief Sets read format on channel chan
  * \param chan channel to change
- * \param formats, format to set for reading
+ * \param format format to set for reading
  * \return Returns 0 on success, -1 on failure
  */
 int ast_set_read_format(struct ast_channel *chan, struct ast_format *format);
@@ -1802,7 +1802,7 @@
 /*!
  * \brief Sets read format on channel chan by id
  * \param chan channel to change
- * \param format id to set for reading, only used for formats without attributes
+ * \param id format id to set for reading, only used for formats without attributes
  * \return Returns 0 on success, -1 on failure
  */
 int ast_set_read_format_by_id(struct ast_channel *chan, enum ast_format_id id);
@@ -1819,7 +1819,7 @@
 /*!
  * \brief Sets write format on channel chan
  * \param chan channel to change
- * \param formats, format to set for writing
+ * \param format format to set for writing
  * \return Returns 0 on success, -1 on failure
  */
 int ast_set_write_format(struct ast_channel *chan, struct ast_format *format);
@@ -1827,7 +1827,7 @@
 /*!
  * \brief Sets write format on channel chan
  * \param chan channel to change
- * \param format id to set for writing, only used for formats without attributes
+ * \param id format id to set for writing, only used for formats without attributes
  * \return Returns 0 on success, -1 on failure
  */
 int ast_set_write_format_by_id(struct ast_channel *chan, enum ast_format_id id);
@@ -2100,7 +2100,7 @@
 /*!
  * \brief Pick the best codec
  *
- * \param capabilities to pick best codec out of
+ * \param cap capabilities to pick best codec out of
  * \param result stucture to store the best codec in.
  * \retval on success, pointer to result structure
  * \retval on failure, NULL
Index: include/asterisk/res_odbc.h
===================================================================
--- include/asterisk/res_odbc.h	(revision 371534)
+++ include/asterisk/res_odbc.h	(working copy)
@@ -104,9 +104,11 @@
  * \brief Retrieves a connected ODBC object
  * \param name The name of the ODBC class for which a connection is needed.
  * \param flags One or more of the following flags:
- * \li RES_ODBC_SANITY_CHECK Whether to ensure that a connection is valid before returning the handle.  Usually unnecessary.
- * \li RES_ODBC_INDEPENDENT_CONNECTION Return a handle which is independent from all others.  Usually used when starting a transaction.
- * \li RES_ODBC_CONNECTED Only return a connected handle.  Intended for use with peers which use idlecheck, which are checked periodically for reachability.
+ *	\li RES_ODBC_SANITY_CHECK Whether to ensure that a connection is valid before returning the handle.  Usually unnecessary.
+ * 	\li RES_ODBC_INDEPENDENT_CONNECTION Return a handle which is independent from all others.  Usually used when starting a transaction.
+ * 	\li RES_ODBC_CONNECTED Only return a connected handle.  Intended for use with peers which use idlecheck, which are checked periodically for reachability.
+ * \param  file, function, lineno
+ *
  * \return ODBC object
  * \retval NULL if there is no connection available with the requested name.
  *
Index: include/asterisk/xmpp.h
===================================================================
--- include/asterisk/xmpp.h	(revision 371534)
+++ include/asterisk/xmpp.h	(working copy)
@@ -234,7 +234,7 @@
  *
  * \param client Pointer to the client
  * \param nickname Nickname to use
- * \param Address Address of the room
+ * \param address Address of the room
  * \param message Message itself
  *
  * \retval 0 on success
Index: include/asterisk/bridging.h
===================================================================
--- include/asterisk/bridging.h	(revision 371534)
+++ include/asterisk/bridging.h	(working copy)
@@ -312,7 +312,7 @@
  * \param chan Channel to join
  * \param swap Channel to swap out if swapping
  * \param features Bridge features structure
- * \param (Optional) Bridging tech optimization parameters for this channel.
+ * \param tech_args Optional Bridging tech optimization parameters for this channel.
  *
  * \retval state that channel exited the bridge with
  *
@@ -504,8 +504,8 @@
 /*! \brief Adjust the internal mixing sample rate of a bridge used during
  *         multimix mode.
  *
- * \param bridge_channel Channel to change the sample rate on.
- * \param sample rate, the sample rate to change to. If a
+ * \param bridge Channel to change the sample rate on.
+ * \param sample_rate the sample rate to change to. If a
  *        value of 0 is passed here, the bridge will be free to pick
  *        what ever sample rate it chooses.
  *
@@ -515,8 +515,8 @@
 /*! \brief Adjust the internal mixing interval of a bridge used during
  *         multimix mode.
  *
- * \param bridge_channel Channel to change the sample rate on.
- * \param mixing_interval, the sample rate to change to.  If 0 is set
+ * \param bridge Channel to change the sample rate on.
+ * \param mixing_interval the sample rate to change to.  If 0 is set
  * the bridge tech is free to choose any mixing interval it uses by default.
  */
 void ast_bridge_set_mixing_interval(struct ast_bridge *bridge, unsigned int mixing_interval);
Index: include/asterisk/translate.h
===================================================================
--- include/asterisk/translate.h	(revision 371534)
+++ include/asterisk/translate.h	(working copy)
@@ -236,7 +236,7 @@
  * \brief Register a translator
  * This registers a codec translator with asterisk
  * \param t populated ast_translator structure
- * \param module handle to the module that owns this translator
+ * \param mod, module handle to the module that owns this translator
  * \return 0 on success, -1 on failure
  */
 int __ast_register_translator(struct ast_translator *t, struct ast_module *module);
@@ -276,10 +276,10 @@
  * Given a list of sources, and a designed destination format, which should
  * I choose?
  *
- * \param destination capabilities
- * \param source capabilities
- * \param destination format chosen out of destination capabilities
- * \param source format chosen out of source capabilities
+ * \param dst_cap destination capabilities
+ * \param src_cap source capabilities
+ * \param dst_fmt_out destination format chosen out of destination capabilities
+ * \param src_fmt_out source format chosen out of source capabilities
  * \return Returns 0 on success, -1 if no path could be found.
  *
  * \note dst_cap and src_cap are not mondified.
@@ -292,8 +292,8 @@
 /*! 
  * \brief Builds a translator path
  * Build a path (possibly NULL) from source to dest 
- * \param dest destination format
- * \param source source format
+ * \param dst, dest destination format
+ * \param src, source source format
  * \return ast_trans_pvt on success, NULL on failure
  * */
 struct ast_trans_pvt *ast_translator_build_path(struct ast_format *dest, struct ast_format *source);
@@ -309,7 +309,7 @@
  * \brief translates one or more frames
  * Apply an input frame into the translator and receive zero or one output frames.  Consume
  * determines whether the original frame should be freed
- * \param tr translator structure to use for translation
+ * \param path, tr translator structure to use for translation
  * \param f frame to translate
  * \param consume Whether or not to free the original frame
  * \return an ast_frame of the new translation format on success, NULL on failure
@@ -342,8 +342,8 @@
 
 /*!
  * \brief Puts a string representation of the translation path into outbuf
- * \param translator structure containing the translation path
- * \param ast_str output buffer
+ * \param t translator structure containing the translation path
+ * \param str ast_str output buffer
  * \retval on success pointer to beginning of outbuf. on failure "".
  */
 const char *ast_translate_path_to_str(struct ast_trans_pvt *t, struct ast_str **str);
Index: include/asterisk/format_pref.h
===================================================================
--- include/asterisk/format_pref.h	(revision 371534)
+++ include/asterisk/format_pref.h	(working copy)
@@ -59,9 +59,9 @@
 
 /*!
  * \brief Codec located at a particular place in the preference index.
- * \param preference structure to get the codec out of
+ * \param pref preference structure to get the codec out of
  * \param index to retrieve from
- * \param retult ast_format structure to store the index value in
+ * \param result ast_format structure to store the index value in
  * \return pointer to input ast_format on success, NULL on failure
 */
 struct ast_format *ast_codec_pref_index(struct ast_codec_pref *pref, int index, struct ast_format *result);
Index: include/asterisk/format_cap.h
===================================================================
--- include/asterisk/format_cap.h	(revision 371534)
+++ include/asterisk/format_cap.h	(working copy)
@@ -119,7 +119,7 @@
 /*!
  * \brief Remove format capability from capability structure.
  *
- * \Note format must match Exactly to format in ast_format_cap object in order
+ * \note format must match Exactly to format in ast_format_cap object in order
  * to be removed.
  *
  * \retval 0, remove was successful
@@ -131,7 +131,7 @@
  * \brief Remove all format capabilities from capability
  * structure for a specific format id.
  *
- * \Note This will remove _ALL_ formats matching the format id from the
+ * \note This will remove _ALL_ formats matching the format id from the
  * capabilities structure.
  *
  * \retval 0, remove was successful
@@ -263,7 +263,7 @@
  * }
  * ast_format_cap_iter_end(Cap);
  *
- * \Note Unless the container was alloced using no_lock, the container
+ * \note Unless the container was alloced using no_lock, the container
  * will be locked during the entire iteration until ast_format_cap_iter_end
  * is called. XXX Remember this, and do not attempt to lock any containers
  * within this iteration that will violate locking order.
@@ -298,7 +298,7 @@
 /*! \brief Get the names of a set of formats
  * \param buf a buffer for the output string
  * \param size size of buf (bytes)
- * \param format the format (combined IDs of codecs)
+ * \param cap format the format (combined IDs of codecs)
  * Prints a list of readable codec names corresponding to "format".
  * ex: for format=AST_FORMAT_GSM|AST_FORMAT_SPEEX|AST_FORMAT_ILBC it will return "0x602 (GSM|SPEEX|ILBC)"
  * \return The return value is buf.
Index: include/asterisk/framehook.h
===================================================================
--- include/asterisk/framehook.h	(revision 371534)
+++ include/asterisk/framehook.h	(working copy)
@@ -219,8 +219,8 @@
  * \brief Attach an framehook onto a channel for frame interception.
  * \since 1.8
  *
- * \param ast_channel, The channel to attach the hook on to.
- * \param framehook interface, The framehook's callback functions and stored data.
+ * \param chan ast_channel The channel to attach the hook on to.
+ * \param i framehook interface, The framehook's callback functions and stored data.
 *
  * \pre XXX The Channel must be locked during this function all.
  *
@@ -242,8 +242,8 @@
  * the framehook will be detached and destroyed during channel
  * destruction.
  *
- * \param The channel the framehook is attached to
- * \param The framehook's id
+ * \param chan The channel the framehook is attached to
+ * \param framehook_id The framehook's id
  *
  * \retval 0 success
  * \retval -1 framehook did not exist on the channel. This means the
@@ -258,7 +258,7 @@
  *
  * \pre XXX The Channel must be locked during this function all.
  * 
- * \param channel containing the framehook list to destroy.
+ * \param chan channel containing the framehook list to destroy.
  * \retval 0 success
  * \retval -1 failure
  */
@@ -274,7 +274,7 @@
  *
  * \pre XXX The Channel must be locked during this function all.
  *
- * \param framehook list to push event to.
+ * \param framehooks list to push event to.
  * \param frame being pushed to the framehook list.
  *
  * \return The resulting frame after being viewed and modified by the framehook callbacks.
@@ -291,7 +291,7 @@
  *
  * \pre XXX The Channel must be locked during this function all.
  *
- * \param framehook list to push event to.
+ * \param framehooks list to push event to.
  * \param frame being pushed to the framehook list.
  *
  * \return The resulting frame after being viewed and modified by the framehook callbacks.
@@ -303,7 +303,7 @@
  * \since 1.8
  * \pre XXX The Channel must be locked during this function all.
  *
- * \param the framehook list
+ * \param framehooks the framehook list
  * \retval 0, not empty
  * \retval 1, is empty
  */
Index: include/asterisk/heap.h
===================================================================
--- include/asterisk/heap.h	(revision 371534)
+++ include/asterisk/heap.h	(working copy)
@@ -213,6 +213,7 @@
  * \brief Write-Lock a heap
  *
  * \param h the heap
+ * \param file, func, line
  *
  * A lock is provided for convenience.  It can be assumed that none of the
  * ast_heap API calls are thread safe.  This lock does not have to be used
@@ -227,6 +228,7 @@
  * \brief Read-Lock a heap
  *
  * \param h the heap
+ * \param file, func, line
  *
  * A lock is provided for convenience.  It can be assumed that none of the
  * ast_heap API calls are thread safe.  This lock does not have to be used
@@ -241,6 +243,7 @@
  * \brief Unlock a heap
  *
  * \param h the heap
+ * \param file, func, line
  *
  * \return see the documentation for pthread_rwlock_unlock()
  * \since 1.6.1
Index: include/asterisk/localtime.h
===================================================================
--- include/asterisk/localtime.h	(revision 371534)
+++ include/asterisk/localtime.h	(working copy)
@@ -75,7 +75,6 @@
  * \param len Size of the chunk of memory buf.
  * \param format A string specifying the format of time to be placed into buf.
  * \param tm Pointer to the broken out time to be used for the format.
- * \param locale Text string specifying the locale to be used for language strings.
  * \retval An integer value specifying the number of bytes placed into buf or -1 on error.
  */
 int ast_strftime(char *buf, size_t len, const char *format, const struct ast_tm *tm);
@@ -87,7 +86,6 @@
  * \param s A string specifying some portion of a date and time.
  * \param format The format in which the string, s, is expected.
  * \param tm The broken-out time structure into which the parsed data is expected.
- * \param locale Text string specifying the locale to be used for language strings.
  * \retval A pointer to the first character within s not used to parse the date and time.
  */
 char *ast_strptime(const char *s, const char *format, struct ast_tm *tm);
